Bug 1662294 - Pulseaudio crashes (segfaults) after plugging in USB soundcard
Summary: Pulseaudio crashes (segfaults) after plugging in USB soundcard
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-27 11:40 UTC by Werner Gold
Modified: 2019-11-27 22:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:27:20 UTC


Attachments (Terms of Use)

Description Werner Gold 2018-12-27 11:40:28 UTC
Description of problem:

Pulseaudio segfaults after plugging in USB soundcard (Maya44)
Version-Release number of selected component (if applicable):

pulseaudio-12.2-1.fc29.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Log in
2. Plug in soundcard

Actual results:

Dez 27 12:28:46 freder.intgold kernel: usb 1-3: new full-speed USB device number 10 using xhci_hcd
Dez 27 12:28:46 freder.intgold kernel: usb 1-3: New USB device found, idVendor=0a92, idProduct=0091, bcdDevice= 1.00
Dez 27 12:28:46 freder.intgold kernel: usb 1-3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Dez 27 12:28:46 freder.intgold kernel: usb 1-3: Product: MAYA44 USB
Dez 27 12:28:46 freder.intgold kernel: usb 1-3: Manufacturer: AUDIOTRAK
Dez 27 12:28:47 freder.intgold kernel: hid-generic 0003:0A92:0091.0004: hiddev96,hidraw3: USB HID v1.00 Device [AUDIOTRAK MAYA44 USB] on usb-0000:00:14.0-3/input3
Dez 27 12:28:47 freder.intgold mtp-probe[4490]: checking bus 1, device 10: "/sys/devices/pci0000:00/0000:00:14.0/usb1/1-3"
Dez 27 12:28:47 freder.intgold mtp-probe[4490]: bus: 1, device: 10 was not an MTP device
Dez 27 12:28:47 freder.intgold mtp-probe[4523]: checking bus 1, device 10: "/sys/devices/pci0000:00/0000:00:14.0/usb1/1-3"
Dez 27 12:28:47 freder.intgold mtp-probe[4523]: bus: 1, device: 10 was not an MTP device
Dez 27 12:28:47 freder.intgold audit[2668]: ANOM_ABEND auid=1001 uid=1001 gid=1001 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=2668 comm="pulseaudio" exe="/usr/bin/pulseaudio" sig=11 res=1
Dez 27 12:28:47 freder.intgold kernel: do_general_protection: 1 callbacks suppressed
Dez 27 12:28:47 freder.intgold kernel: traps: pulseaudio[2668] general protection ip:7ff9ee199842 sp:7ffe6b4bd0b0 error:0 in libasound.so.2.0.0[7ff9ee15c000+96000]
Dez 27 12:28:47 freder.intgold systemd[1]: Created slice system-systemd\x2dcoredump.slice.
Dez 27 12:28:47 freder.intgold systemd[1]: Started Process Core Dump (PID 4529/UID 0).
Dez 27 12:28:47 freder.intgold audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@0-4529-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Dez 27 12:28:49 freder.intgold bluetoothd[1054]: Endpoint unregistered: sender=:1.364 path=/MediaEndpoint/A2DPSource
Dez 27 12:28:49 freder.intgold bluetoothd[1054]: Endpoint unregistered: sender=:1.364 path=/MediaEndpoint/A2DPSink
Dez 27 12:28:49 freder.intgold systemd[2200]: pulseaudio.service: Main process exited, code=dumped, status=11/SEGV
Dez 27 12:28:49 freder.intgold systemd[2200]: pulseaudio.service: Failed with result 'core-dump'.
Dez 27 12:28:49 freder.intgold systemd[2200]: pulseaudio.service: Service RestartSec=100ms expired, scheduling restart.
Dez 27 12:28:49 freder.intgold systemd[2200]: pulseaudio.service: Scheduled restart job, restart counter is at 1.
Dez 27 12:28:49 freder.intgold systemd[2200]: Stopped Sound Service.
Dez 27 12:28:49 freder.intgold systemd[2200]: Starting Sound Service...
Dez 27 12:28:49 freder.intgold pulseaudio[4535]: W: [pulseaudio] pid.c: Stale PID file, overwriting.
Dez 27 12:28:49 freder.intgold audit[4535]: ANOM_ABEND auid=1001 uid=1001 gid=1001 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=4535 comm="pulseaudio" exe="/usr/bin/pulseaudio" sig=11 res=1
Dez 27 12:28:49 freder.intgold kernel: pulseaudio[4535]: segfault at 7f924d34bd70 ip 00007f924d34bd70 sp 00007ffe690a4618 error 15 in libtheoradec.so.1.1.4[7f924d34b000+1000]
Dez 27 12:28:49 freder.intgold kernel: Code: 00 00 10 04 33 4d 92 7f 00 00 0a 00 00 00 00 00 00 00 2d 04 00 00 00 00 00 00 0b 00 00 00 00 00 00 00 18 00 00 00 00 00 00 00 <03> 00 00 00 00 00 00 00 b0 be 34 4d 92 7f 00 00 02 00 00 00 00 00
Dez 27 12:28:49 freder.intgold systemd[1]: Started Process Core Dump (PID 4536/UID 0).
Dez 27 12:28:49 freder.intgold audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@1-4536-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Dez 27 12:28:50 freder.intgold systemd-coredump[4530]: Process 2668 (pulseaudio) of user 1001 dumped core.
                                                      Stack trace of thread 2668:
                                                       #0  0x00007ff9ee199842 snd_pcm_munmap (libasound.so.2)
                                                       #1  0x00007ff9ee1870bf snd_pcm_close (libasound.so.2)
                                                       #2  0x00007ff9ee19a149 n/a (libasound.so.2)
                                                       #3  0x00007ff9ee1870fd snd_pcm_close (libasound.so.2)
                                                       #4  0x00007ff9ee32b162 _snd_pcm_a52_open (libasound_module_pcm_a52.so)
                                                       #5  0x00007ff9ee183bf4 n/a (libasound.so.2)
                                                       #6  0x00007ff9ee184288 n/a (libasound.so.2)
                                                       #7  0x00007ff9ee186d7b snd_pcm_open (libasound.so.2)
                                                       #8  0x00007ff9ee28ec67 pa_alsa_open_by_device_string (libalsa-util.so)
                                                       #9  0x00007ff9ee28f02a pa_alsa_open_by_template (libalsa-util.so)
                                                       #10 0x00007ff9ee2996f5 mapping_open_pcm (libalsa-util.so)
                                                       #11 0x00007ff9ee2a360b pa_alsa_profile_set_probe (libalsa-util.so)
                                                       #12 0x00007ff9ee333c6a module_alsa_card_LTX_pa__init (module-alsa-card.so)
                                                       #13 0x00007ffa0016087e pa_module_load (libpulsecore-12.2.so)
                                                       #14 0x00007ff9ee33bdc5 verify_access (module-udev-detect.so)
                                                       #15 0x00007ff9ee33c5c8 monitor_cb (module-udev-detect.so)
                                                       #16 0x00007ffa000bcfd8 pa_mainloop_dispatch (libpulse.so.0)
                                                       #17 0x00007ffa000bd2b0 pa_mainloop_iterate (libpulse.so.0)
                                                       #18 0x00007ffa000bd350 pa_mainloop_run (libpulse.so.0)
                                                       #19 0x0000564b01b4663f main (pulseaudio)
                                                       #20 0x00007ff9ff866413 __libc_start_main (libc.so.6)
                                                       #21 0x0000564b01b472ca _start (pulseaudio)
                                                       
                                                       Stack trace of thread 2687:
                                                       #0  0x00007ff9ff934516 ppoll (libc.so.6)
                                                       #1  0x00007ffa00169cef pa_rtpoll_run (libpulsecore-12.2.so)
                                                       #2  0x00007ff9ee2ae312 thread_func (libalsa-util.so)
                                                       #3  0x00007ff9fff4d06c internal_thread_func (libpulsecommon-12.2.so)
                                                       #4  0x00007ff9ffba458e start_thread (libpthread.so.0)
                                                       #5  0x00007ff9ff93f6a3 __clone (libc.so.6)
                                                       
                                                       Stack trace of thread 2685:
                                                       #0  0x00007ff9ff934516 ppoll (libc.so.6)
                                                       #1  0x00007ffa00169cef pa_rtpoll_run (libpulsecore-12.2.so)
                                                       #2  0x00007ff9ee2ae312 thread_func (libalsa-util.so)
                                                       #3  0x00007ff9fff4d06c internal_thread_func (libpulsecommon-12.2.so)
                                                       #4  0x00007ff9ffba458e start_thread (libpthread.so.0)
                                                       #5  0x00007ff9ff93f6a3 __clone (libc.so.6)
                                                       
                                                       Stack trace of thread 2686:
                                                       #0  0x00007ff9ff934516 ppoll (libc.so.6)
                                                       #1  0x00007ffa00169cef pa_rtpoll_run (libpulsecore-12.2.so)
                                                       #2  0x00007ff9ee2a7a2e thread_func (libalsa-util.so)
                                                       #3  0x00007ff9fff4d06c internal_thread_func (libpulsecommon-12.2.so)
                                                       #4  0x00007ff9ffba458e start_thread (libpthread.so.0)
                                                       #5  0x00007ff9ff93f6a3 __clone (libc.so.6)
Dez 27 12:28:50 freder.intgold systemd[2200]: pulseaudio.service: Main process exited, code=dumped, status=11/SEGV
Dez 27 12:28:50 freder.intgold systemd[2200]: pulseaudio.service: Failed with result 'core-dump'.
Dez 27 12:28:50 freder.intgold systemd[2200]: Failed to start Sound Service.
Dez 27 12:28:50 freder.intgold systemd-coredump[4537]: Process 4535 (pulseaudio) of user 1001 dumped core.
                                                      #0  0x00007f924d34bd70 n/a (libtheoradec.so.1)

It surely worked on F28. Not sure, if I tried the card before on F29.

Comment 1 Werner Gold 2019-01-07 08:58:04 UTC
The segfault message of pulseaudio doesn't look the same all times.

Jan 07 09:49:11 freder.intgold audit[2539]: ANOM_ABEND auid=1001 uid=1001 gid=1001 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=2539 comm="pulseaudio" exe="/usr/bin/pulseaudio" sig=11 res=1
Jan 07 09:49:11 freder.intgold kernel: show_signal_msg: 1 callbacks suppressed
Jan 07 09:49:11 freder.intgold kernel: pulseaudio[2539]: segfault at fffffffffffffff0 ip 00007f28dfed17da sp 00007ffce45d8d70 error 5 in libasound.so.2.0.0[7f28dfec1000+96000]
Jan 07 09:49:11 freder.intgold kernel: Code: 34 77 08 00 48 8d 3d 3d 77 08 00 e8 d0 29 ff ff f3 0f 1e fa 55 53 48 83 ec 08 48 8b 35 2f 88 0c 00 48 85 ff 0f 84 19 01 00 00 <48> 8b 57 20 48 8b 4f 28 48 89 fb 31 ed 48 8d 05 12 88 0c 00 48 89

Comment 2 Ben Cotton 2019-10-31 19:23:44 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 22:27:20 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.